New: Try Gatekeeper (Beta) for significantly lower latency. Learn More
New: Try Gatekeeper (Beta) for significantly lower latency. Learn More
Retrieve token balances and SOL holdings for a Solana wallet address.
curl --request GET \
--url 'https://api.helius.xyz/v1/wallet/{wallet}/balances?api-key='{
"balances": [
{
"mint": "So11111111111111111111111111111111111111112",
"balance": 1.5,
"decimals": 9,
"tokenProgram": "spl-token",
"symbol": "SOL",
"name": "Solana",
"pricePerToken": 145.32,
"usdValue": 217.98,
"logoUri": "https://example.com/sol-logo.png"
}
],
"totalUsdValue": 217.98,
"pagination": {
"page": 1,
"limit": 100,
"hasMore": true
},
"nfts": [
{
"mint": "7Xq8wXyXVqfBPPqVJjPDwG9zN5wCVxBYZ6z7vPYBzr6F",
"compressed": false,
"name": "Degen Ape",
"imageUri": "https://example.com/nft.png",
"collectionName": "Degen Ape Academy",
"collectionAddress": "DegN1dXmU2uYa4n7U9qTh7YNYpK4u8L9qXx7XqYqJfGH"
}
]
}Each request costs 100 credits.Documentation Index
Fetch the complete documentation index at: https://helius-feat-signup-payment-link-docs.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
API key passed as query parameter
Solana wallet address (base58 encoded)
^[1-9A-HJ-NP-Za-km-z]{32,44}$Page number for pagination (1-indexed)
x >= 1Maximum number of tokens per page
1 <= x <= 100Include tokens with zero balance
Include native SOL in results
Include NFTs in results (max 100, first page only)
Wallet balances retrieved successfully
Array of token balances for the current page, including native SOL. When showNative=true, SOL appears as the first element with mint address So11111111111111111111111111111111111111112. Other tokens are sorted by USD value (descending).
Show child attributes
Total USD value of balances on this page (not total portfolio value)
217.98
Pagination metadata. Users must manually request additional pages using the page parameter.
Show child attributes
Array of NFT holdings (only included if showNfts=true, max 100, first page only)
Show child attributes
Was this page helpful?
curl --request GET \
--url 'https://api.helius.xyz/v1/wallet/{wallet}/balances?api-key='{
"balances": [
{
"mint": "So11111111111111111111111111111111111111112",
"balance": 1.5,
"decimals": 9,
"tokenProgram": "spl-token",
"symbol": "SOL",
"name": "Solana",
"pricePerToken": 145.32,
"usdValue": 217.98,
"logoUri": "https://example.com/sol-logo.png"
}
],
"totalUsdValue": 217.98,
"pagination": {
"page": 1,
"limit": 100,
"hasMore": true
},
"nfts": [
{
"mint": "7Xq8wXyXVqfBPPqVJjPDwG9zN5wCVxBYZ6z7vPYBzr6F",
"compressed": false,
"name": "Degen Ape",
"imageUri": "https://example.com/nft.png",
"collectionName": "Degen Ape Academy",
"collectionAddress": "DegN1dXmU2uYa4n7U9qTh7YNYpK4u8L9qXx7XqYqJfGH"
}
]
}